# General endpoints

In the General section you can:

* Set your production and staging endpoints
* Choose which one you want to use now
* Select the content type of our requests

[![](https://downloads.intercomcdn.com/i/o/688860235/0d39c3830ba62814c86c187d/image.png?expires=1725953400\&signature=1b06f3b0d710275beb327d0f00b49780b89ee3b8505800728d90d57c2930b9bc\&req=cigvHs9%2Bn4JaFb4f3HP0gKuA6V5b7OWrmmOwZDT4NT9sgpsybB5AXCO%2BPvmo%0AnFBo%2FwgAtPVkAXiExQ%3D%3D%0A)](https://downloads.intercomcdn.com/i/o/688860235/0d39c3830ba62814c86c187d/image.png?expires=1725953400\&signature=1b06f3b0d710275beb327d0f00b49780b89ee3b8505800728d90d57c2930b9bc\&req=cigvHs9%2Bn4JaFb4f3HP0gKuA6V5b7OWrmmOwZDT4NT9sgpsybB5AXCO%2BPvmo%0AnFBo%2FwgAtPVkAXiExQ%3D%3D%0A)

## Status <a href="#h_9bdc31ba91" id="h_9bdc31ba91"></a>

You can select which endpoint you want to use: Staging or Production. Setting the status to production does not make your integration live for all merchants—it is merely lets you switch between 2 different endpoints. If you do not have a staging endpoint, you can have the same URL in both endpoint fields.

## Production endpoint <a href="#h_f49a2cbefe" id="h_f49a2cbefe"></a>

Set the endpoint that you want to use as a base for all requests when the status is set to Production. We recommend putting your merchant-facing endpoint here, for example *lmdprovider.app/api/v1\_0*.

## Staging endpoint <a href="#h_5c1fc6a4e4" id="h_5c1fc6a4e4"></a>

Set the endpoint that you want to use as a base for all requests when the status is set to Staging. We recommend putting your development endpoint here, for example *test.lmdprovider.app/api/v1\_0*.

### Note <a href="#h_70681eeb47" id="h_70681eeb47"></a>

You can override the base URL in each request if you need to.

## Content type <a href="#h_cbef2a4e8d" id="h_cbef2a4e8d"></a>

We support 2 content types:

* application/json
* application/x-www-form-urlencoded

We will use this content type for all requests, and we do not support different content types depending on the request yet.

Now that you’ve set up your general endpoints, let’s take a look at authentication.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapiet.com/last-mile-api/general-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
